#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    int n;
    cin >> n;
    int m[n][2] = {0}, br=0, br1=0, brr=0;
    for(int i=0;i<n;i++){
        for(int j=0;j<2;j++){
            cin >> m[i][j];
        }
    }
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            br1++;
        }
    }
    double s[br1];
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            s[br] = sqrt(pow((m[i][0]-m[j][0]), 2) + pow((m[i][1]-m[j][1]), 2));
            br++;
        }
    }
    for(int i=0;i<br;i++){
        for(int j=i+1;j<br;j++){
           if(s[i]==s[j]*2 || s[j]==s[i]*2){
                brr++;
           }
        }
    }
    if(n>4){
        cout << brr/2;
    }
    else{
        cout << brr;
    }
    return 0;
}